package com.queplix.core.client.controls.charts;

import com.queplix.core.client.app.vo.ChartFieldData;
import com.queplix.core.client.app.vo.ChartFieldMeta;
import com.queplix.core.client.app.vo.FieldType;
import com.queplix.core.client.controls.QFormElementModel;

public interface QChartModel extends QFormElementModel {
    
    public static final int TYPE = FieldType.CHART;

    ChartFieldMeta getMeta();
    
    void setMeta(ChartFieldMeta meta);
    
    ChartFieldData getData();
    
    void setData(ChartFieldData data);
    
}
